PDA

View Full Version : [SOLVED] Karmic repository



jlazkano
December 15th, 2011, 12:06 PM
Hello, I have a old server with Karmic. I need to install a new package, but I notice that my Karmic repository disappear.

Is there any Karmic repository online?

Thanks and best regards.

mrgs
December 15th, 2011, 12:08 PM
The repository is gone, because Karmic is out of support.

Have you thought of a fresh install of a supported release?

Lars Noodn
December 15th, 2011, 12:13 PM
Karmic reached its end (https://wiki.ubuntu.com/Releases) at the end of April this year. You'll probably want to upgrade to a LTS version since that will give 5 years of support. 10.10 (Maverick) will be supported on the server through 2015, but 12.04 when it comes out should be supported through 2017.

jlazkano
December 15th, 2011, 12:19 PM
Hello thanks for your replies.

I know that Karmic is not supported, but I want to know if there is a old repository online. I just need to install one packages.

I will upgrade the 12.04 version.

Thanks and best regards.

waynefoutz
December 15th, 2011, 12:20 PM
Hello, I have a old server with Karmic. I need to install a new package, but I notice that my Karmic repository disappear.

Is there any Karmic repository online?

Thanks and best regards.

try this:


gksudo gedit /etc/apt/sources.list


comment out every line with a # (or simply remove them)

then add the following lines:


deb http://old-releases.ubuntu.com/ubuntu/ karmic main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ karmic-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ karmic-security main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ karmic-backports main restricted universe multiverse


the repositories have been moved here http://old-releases.ubuntu.com/ubuntu/dists/ with all the other EOL releases.

mrgs
December 15th, 2011, 12:21 PM
10.10 (Maverick) will be supported on the server through 2015

No, 10.10 is supported until april 2012 on both desktop and server.

waynefoutz
December 15th, 2011, 12:32 PM
No, 10.10 is supported until april 2012 on both desktop and server.

I think he meant 10.04, but it's still a 3 year LTS, the first LTS that will have 5 year support will be 12.04.

jlazkano
December 15th, 2011, 12:53 PM
try this:


gksudo gedit /etc/apt/sources.list


comment out every line with a # (or simply remove them)

then add the following lines:


deb http://old-releases.ubuntu.com/ubuntu/ karmic main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ karmic-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ karmic-security main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ karmic-backports main restricted universe multiverse


the repositories have been moved here http://old-releases.ubuntu.com/ubuntu/dists/ with all the other EOL releases.

Thanks!

This repository works great, I just installed the package.

Best regards.